SVGSourceFileReorganizer (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class SVGSourceFileReorganizer

    java.lang.Object
      com.bbn.openmap.util.wanderer.Wanderer
          com.bbn.openmap.tools.symbology.milStd2525.SVGSourceFileReorganizer

All Implemented Interfaces:
  WandererCallback

    public class SVGSourceFileReorganizer

extends Wanderer
implements WandererCallback

SVGSourceFileReorganizer is a simple utility that takes the source SVG files from the DISA package and reorganizes them into a simplier file structure that OpenMap classes can use. DISA has extraneous characters at the front of the svg file names (a number for which symbol in a particular directory and a period) and they are organized in a named directory structure. This wanderer finds all of the svg files, chops off the first two characters and places them in a target directory. If you want to convert the files to raster formats (gif, png) use the batik rasterizer:

     java -jar batik-rasterizer.jar FILES

Otherwise, to use this class:

      Usage: java com.bbn.openmap.tools.symbology.milStd2525.SVGSourceFileReorganizer -target targetDir -source (dir path 1)(dir path 2) ...

Field Summary

Fields inherited from class com.bbn.openmap.util.wanderer.Wanderer
`exhaustiveSearch, topToBottom`

Constructor Summary
`SVGSourceFileReorganizer(java.io.File rootDir)`

Method Summary
`boolean` | `getVerbose()`
`boolean` | `handleDirectory(java.io.File directory)` Do what you need to do to the directory.
`boolean` | `handleFile(java.io.File file)` Do what you need to do to the file.
`static void` | `main(java.lang.String[] argv)` Given a set of files or directories, parade through them to change their case.
`void` | `setVerbose(boolean val)`

Methods inherited from class com.bbn.openmap.util.wanderer.Wanderer
`getCallback, handleDirectory, handleEntry, isExhaustiveSearch, isTopToBottom, setCallback, setExhaustiveSearch, setTopToBottom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGSourceFileReorganizer

    public SVGSourceFileReorganizer(java.io.File rootDir)

Method Detail

### setVerbose

    public void setVerbose(boolean val)

### getVerbose

    public boolean getVerbose()

### handleFile

    public boolean handleFile(java.io.File file)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the file.

  Specified by:
    `handleFile` in interface `WandererCallback`
  Parameters:
    `file` - to handle.
  Returns:
    true to continue evaluating siblings and parent directory siblings.

### main

    public static void main(java.lang.String[] argv)

  Given a set of files or directories, parade through them to change their case.

  Parameters:
    `argv` - paths to files or directories, use -h to get a usage statement.

### handleDirectory

    public boolean handleDirectory(java.io.File directory)

  Description copied from interface: `WandererCallback`
  Do what you need to do to the directory.

  Specified by:
    `handleDirectory` in interface `WandererCallback`
  Parameters:
    `directory` - that represents a directory to deal with.
  Returns:
    true to continue wandering through to children.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details